Configurator.MacroDef
Date: 2013-01-10

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ivy.util
Class Configurator.MacroDef

    java.lang.Object
      org.apache.ivy.util.Configurator.MacroDef

Enclosing class:
  Configurator

    public static class Configurator.MacroDef

extends java.lang.Object

Constructor Summary
`Configurator.MacroDef(java.lang.String macroName)`

Method Summary
`void` | `addAttribute(java.lang.String attName, java.lang.String attDefaultValue)`
`void` | `addConfiguredAttribute(Configurator.Attribute att)`
`void` | `addConfiguredElement(Configurator.Element elt)`
`void` | `addElement(java.lang.String elementName, boolean optional)`
`Configurator.Macro` | `createMacro()`
`Configurator.Attribute` | `getAttribute(java.lang.String attributeName)`
`java.lang.String` | `getName()`
`java.lang.Object` | `play(Configurator conf, java.util.Map attValues, java.util.Map macroRecords)`
`Configurator.MacroRecord` | `recordCreateChild(java.lang.String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Configurator.MacroDef

    public Configurator.MacroDef(java.lang.String macroName)

Method Detail

### getAttribute

    public Configurator.Attribute getAttribute(java.lang.String attributeName)

### play

    public java.lang.Object play(Configurator conf,
                                 java.util.Map attValues,
                                 java.util.Map macroRecords)

### getName

    public java.lang.String getName()

### addConfiguredAttribute

    public void addConfiguredAttribute(Configurator.Attribute att)

### addConfiguredElement

    public void addConfiguredElement(Configurator.Element elt)

### createMacro

    public Configurator.Macro createMacro()

### addAttribute

    public void addAttribute(java.lang.String attName,
                             java.lang.String attDefaultValue)

### addElement

    public void addElement(java.lang.String elementName,
                           boolean optional)

### recordCreateChild

    public Configurator.MacroRecord recordCreateChild(java.lang.String name)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD